> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put funnelsdomain



## OpenAPI

````yaml /api-reference/funnels/openapi.json put /funnels/domain/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/domain/{id}:
    put:
      operationId: updateDomain
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDomainParams'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateDomainParams:
      type: object
      properties:
        locationId:
          type: string
        robotsTxtCode:
          type: string
        defaultPage:
          type: string
        defaultDomain:
          type: boolean
        XMLMappingPath:
          type: string
        XMLMappingUrl:
          type: string
        deleted:
          type: boolean
        companyId:
          type: string
        errorPage:
          type: string
        url:
          type: string
        isMigrated:
          type: boolean
        nameServer:
          type: string
        provider:
          type: string
      required:
        - locationId
        - robotsTxtCode
        - defaultPage
        - defaultDomain
        - XMLMappingPath
        - XMLMappingUrl
        - deleted
        - companyId
        - errorPage
        - url
        - isMigrated
        - nameServer
        - provider

````